Bug 2232064 - unset GTK_IM_MODULE and QT_IM_MODULE for Plasma Wayland
Summary: unset GTK_IM_MODULE and QT_IM_MODULE for Plasma Wayland
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: imsettings
Version: 39
Hardware: Unspecified
OS: Linux
unspecified
medium
Target Milestone: ---
Assignee: Akira TAGOH
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: 2233527
TreeView+ depends on / blocked
 
Reported: 2023-08-15 06:57 UTC by Jens Petersen
Modified: 2023-08-24 11:52 UTC (History)
4 users (show)

Fixed In Version: imsettings-1.8.4-1.fc40 imsettings-1.8.4-1.fc39
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
: 2233527 (view as bug list)
Environment:
Last Closed: 2023-08-22 12:19:15 UTC
Type: ---
Embargoed:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Issue Tracker FC-921 0 None None None 2023-08-15 08:21:45 UTC

Description Jens Petersen 2023-08-15 06:57:39 UTC
With ibus-1.5.29 in Fedora 29, QT_IM_MODULE and GTK_IM_MODULE should no longer be set for KDE Plasma Wayland.

Can you make such a change to imsettings, please?

Without that the behavior of ibus in Plasma Wayland is really bad.
(This change should not be made for Plasma X11.)

Reproducible: Always

Steps to Reproduce:
1. env | grep MODULE
Actual Results:  
GTK_IM_MODULE=ibus
QT_IM_MODULE=ibus

Expected Results:  
GTK_IM_MODULE and QT_IM_MODULE to be unset in Plasma Wayland

Related to https://fedoraproject.org/wiki/Changes/IBus_1.5.29

Comment 1 Akira TAGOH 2023-08-15 07:44:31 UTC
Do we still need it for X11, right?

Comment 2 fujiwara 2023-08-15 08:18:00 UTC
(In reply to Akira TAGOH from comment #1)
> Do we still need it for X11, right?

Yes, we do.

Comment 3 Akira TAGOH 2023-08-17 14:01:21 UTC
One more question. This report requests to unset GTK_IM_MODULE too. does IBus 1.5.29 work without GSettings and GTK_IM_MODULE on Plasma-wayland?

Comment 4 fujiwara 2023-08-18 02:20:19 UTC
(In reply to Akira TAGOH from comment #3)
> One more question. This report requests to unset GTK_IM_MODULE too. does
> IBus 1.5.29 work without GSettings and GTK_IM_MODULE on Plasma-wayland?

Yes, it does. Those environment variables need to be unset.

Comment 5 Jens Petersen 2023-08-21 16:04:15 UTC
Seems imsettings-plasma was dropped from @input-methods:

https://pagure.io/fedora-comps/c/7553747fb0e4c1c6b97935dde1443e27de5fa3da?branch=main
https://pagure.io/fedora-comps/c/98e56a9cf0425b76e9a0e8237113d87ad0b4cafa?branch=main

So we may need to retest but this could this affect Plasma X11 aversely?

Comment 6 Neal Gompa 2023-08-21 18:16:21 UTC
The way this gets set needs to be changed then to only activate when a Plasma X11 session is used. It currently does it unconditionally.

Comment 7 Akira TAGOH 2023-08-22 02:33:54 UTC
I'm going to update imsettings for this.

Comment 8 Fedora Update System 2023-08-22 12:16:41 UTC
FEDORA-2023-adec06104c has been submitted as an update to Fedora 40. https://bodhi.fedoraproject.org/updates/FEDORA-2023-adec06104c

Comment 9 Fedora Update System 2023-08-22 12:19:15 UTC
FEDORA-2023-adec06104c has been pushed to the Fedora 40 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 10 Fedora Update System 2023-08-22 12:38:05 UTC
FEDORA-2023-989df31081 has been submitted as an update to Fedora 39. https://bodhi.fedoraproject.org/updates/FEDORA-2023-989df31081

Comment 11 Fedora Update System 2023-08-22 12:40:17 UTC
FEDORA-2023-989df31081 has been pushed to the Fedora 39 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 12 Akira TAGOH 2023-08-22 14:16:07 UTC
Just a note
To get this fixed completely, we need to update ibus.conf too

See #2233527

Comment 13 Jens Petersen 2023-08-24 11:52:00 UTC
Working well so so far, thank you!!


Note You need to log in before you can comment on or make changes to this bug.